Bug 253941 - Review Request: cgi-util - A C library for creating Common Gateway Interface ("CGI") programs
Review Request: cgi-util - A C library for creating Common Gateway Interface ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 21:52 EDT by W. Michael Petullo
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 19:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2007-08-22 21:52:22 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://flyn.org/SRPMS/cgi-util-2.2.1-9.src.rpm
Description:
cgi-util is a library which provides a set of C functions you can
use to create Common Gateway Interface ("CGI") programs.  Simply call
cgi-util's initialization function and send HTML (or any other kind of
data) out from your program and to the user's web browser.

This package was orphaned more than six months ago.
Comment 1 W. Michael Petullo 2007-08-23 20:20:20 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://flyn.org/SRPMS/cgi-util-2.2.1-10.src.rpm

Modified the autotools patch.
Comment 2 Mamoru TASAKA 2007-09-20 08:23:53 EDT
For 2.2.1-10:

* autotools patch
  - Please don't use a meaninglessly large patch like
    Patch0.
    This type of patch makes it very difficult to for us to
    check what points are to be fixed by this patch.
    * Apply patch for the points that are really needed fixing
      and really call autotools if needed.
    * And please check it carefully if autotools really has
      to be called.

* disttag
  - Please consider to use disttag.
    http://fedoraproject.org/wiki/Packaging/DistTag

* License
  - License should be "LGPLv2+" as no source specifies the version.

* Macro style
  - Please choose whether you use %name or %{name}

* rpmlint
-------------------------------------------------------
cgi-util.i386: W: spurious-executable-perm /usr/share/doc/cgi-util-2.2.1/test.cgi
cgi-util.i386: W: spurious-executable-perm
/usr/share/doc/cgi-util-2.2.1/filetest.cgi
-------------------------------------------------------
  - First of all, these two files are actually wrong because
    these files uses non-existing builddir.
    i.e. These two files can work at build time and no longer
         works when installed as this
  - And the permission should be 0644 as this is marked as documents.
Comment 3 W. Michael Petullo 2007-09-21 22:26:20 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://www.flyn.org/SRPMS/cgi-util-2.2.1-12.fc8.src.rpm
Comment 4 Mamoru TASAKA 2007-09-22 07:40:07 EDT
Well, -12 srpm contains some problems.

* Builds does not honor Fedora specific compilation flags.
* libcgi-util.so does not have soname
--------------------------------------------------
gcc -g -Wall -ansi -pedantic -fPIC cgi-util.c -c -o libcgi-util.o
gcc -shared libcgi-util.o -o libcgi-util.so
--------------------------------------------------
  You must use linker option.
* Permission of the library is not right
--------------------------------------------------
+ /usr/bin/install -D -m 0644 libcgi-util.so
/var/tmp/cgi-util-2.2.1-12.fc8-root-kojibuilder/usr/lib/libcgi-util.so.2.2.1
--------------------------------------------------
  Permission should be 0755.
* And for symlink:
--------------------------------------------------
+ ln -s /usr/lib/libcgi-util.so.2.2.1
/var/tmp/cgi-util-2.2.1-12.fc8-root-kojibuilder/usr/lib/libcgi-util.so
--------------------------------------------------
  This symlink must be relative.
Comment 5 W. Michael Petullo 2007-09-22 16:41:41 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://www.flyn.org/SRPMS/cgi-util-2.2.1-13.fc8.src.rpm
Comment 6 Mamoru TASAKA 2007-09-22 22:22:17 EDT
For -13:

------------------------------------------------------
%{__ld} -shared -soname=libcgi-util.so.2 libcgi-util.o -o libcgi-util.so
------------------------------------------------------
  - This cannot be accepted as
    http://koji.fedoraproject.org/koji/taskinfo?taskID=170767

    Please check:
    http://www.redhat.com/archives/rhl-devel-list/2007-August/msg00481.html
Comment 7 W. Michael Petullo 2007-09-22 23:25:30 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://www.flyn.org/SRPMS/cgi-util-2.2.1-14.fc8.src.rpm
Comment 8 Mamoru TASAKA 2007-09-23 02:13:18 EDT
For -14:

* To keep timestamp, please use "-p" option when using
  "install" or "cp" commands

* From rpmlint:
-------------------------------------------------
[tasaka1@localhost cgi-util]$ rpmlint *-14*rpm
cgi-util.i386: E: no-ldconfig-symlink /usr/lib/libcgi-util.so.2.2.1
[tasaka1@localhost cgi-util]$ rpmlint -I no-ldconfig-symlink
no-ldconfig-symlink :
The package should not only include the shared library itself, but
also the symbolic link which ldconfig would produce. (This is
necessary, so that the link gets removed by rpm automatically when
the package gets removed, even if for some reason ldconfig would not be
run at package postinstall phase.)
-------------------------------------------------
    In short, symlink "libcgi-util.so.2" is missing.
Comment 9 W. Michael Petullo 2007-09-23 14:25:59 EDT
Spec URL: http://flyn.org/SRPMS/cgi-util.spec
SRPM URL: http://www.flyn.org/SRPMS/cgi-util-2.2.1-15.fc8.src.rpm
Comment 10 Mamoru TASAKA 2007-09-24 08:40:53 EDT
Okay.

-------------------------------------------------------
   This package (cgi-utils) is APPROVED by me
-------------------------------------------------------

Note You need to log in before you can comment on or make changes to this bug.